org.deidentifier.arx.risk

## Class RiskModelSampleUniqueness

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleUniqueness

    public class RiskModelSampleUniqueness
    extends java.lang.Object

Class for risks based on sample uniqueness

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`RiskModelSampleUniqueness(RiskModelHistogram histogram)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getFractionOfUniqueRecords()` Returns the fraction of records affected by the highest re-identification risk
`double` `getNumUniqueRecords()` Returns the number of records affected by the lowest re-identification risk

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RiskModelSampleUniqueness

    public RiskModelSampleUniqueness(RiskModelHistogram histogram)

Creates a new instance

Parameters:
  `histogram` -

### Method Detail

#### getFractionOfUniqueRecords

    public double getFractionOfUniqueRecords()

Returns the fraction of records affected by the highest re-identification risk

Returns:

#### getNumUniqueRecords

    public double getNumUniqueRecords()

Returns the number of records affected by the lowest re-identification risk

Returns: